> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Delete Contractor Invites

> Bulk-cancels PENDING or EXPIRED contractor invites by setting status CANCELLED.

Not available to API keys yet. It will need `people:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-delete-contractor-invites
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-delete-contractor-invites:
    post:
      operationId: selfServeDeleteContractorInvites
      summary: Self Serve Delete Contractor Invites
      description: >-
        Bulk-cancels PENDING or EXPIRED contractor invites by setting status
        CANCELLED.


        Not available to API keys yet. It will need `people:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeDeleteContractorInvitesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeDeleteContractorInvitesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeDeleteContractorInvitesRequest:
      type: object
      properties:
        inviteIds:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
      required:
        - inviteIds
    SelfServeDeleteContractorInvitesResponse:
      type: object
      properties:
        success:
          type: boolean
        count:
          type: integer
      required:
        - success
        - count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
